`<sp>` | (speech) An individual speech in a performance text, or a passage presented as such in a prose or verse text.
Attributes: |
`who` | identifies the speaker of the part by supplying an ID.
| Datatype: IDREFS
| Values: The IDREFS are derived from the ID attribute on the role elements in the cast list or from a list of the participants.
| Default: #IMPLIED

Example

    <sp><speaker>The reverend Doctor Opimiam</speaker>
    <p>I do not think I have named a single unpresentable fish.
    <sp><speaker>Mr Gryll</speaker>
    <p>Bream, Doctor: there is not much to be said for bream.
    <sp><speaker>The Reverend Doctor Opimiam</speaker>
    <p>On the contrary, sir, I think there is much to be said for him.
    In the first place....
    <p>Fish, Miss Gryll -- I could discourse to you on fish by the hour:
    but for the present I will forbear...
    </sp>

Note

The `who` attribute on this element may be used either in addition to the `<speaker>` element or as an alternative.

Tagset base tag set for common core features
Class chunk [and indirectly also:] common
Filename `teicore2`
Content: Lines or paragraphs, stage directions, and phrase-level elements.
Parents add argument body castList corr div div0 div1 div2 div3 div4 div5 div6 div7 epigraph epilogue equiv item metDecl note performance prologue q quote remarks set sic stage view
Children ab l lg p seg speaker stage
Declaration

    <!ELEMENT sp            - O  (speaker?, (p | l | lg | ab | seg
                                 | stage)+)                         >
    <!ATTLIST sp                 %a.global
              who                IDREFS              #IMPLIED       >

See 6.11.2 ; 6.11 ; 10.2.2

Back to index